$regfile = "atTiny45.dat"
$framesize = 32
$swstack = 32
$hwstack = 32
$crystal = 1000000


' Pins:
' RESET   1  v  8  +5V
'   PB3   2     7  PB2(SCK)
'   PB4   3     6  PB1(MISO)
'   GND   4     5  PB0(MOSI)

Dim Cyccounter As Integer
Dim Mincounter As Integer
Dim Ledsan As Byte
Dim Pause1 As Byte


Config Portb.3 = Output                                     'LED an PB3
Set Portb.3                                                 ' LEDs aus -> Dimmeingang reagiert invertiert.
Config Portb.4 = Input                                      'Taster an PB4
Set Portb.4                                                 'Pullup aktivieren
Ledsan = 0
Cyccounter = 0
Pause1 = 0

Do
    If Pinb.4 = 0 Then                                      ' Taster gedrckt
        Waitms 100                                          ' Prellzeit abwarten
        If Pinb.4 = 0 Then
           Ledsan = 1
           Cyccounter = 0
           Mincounter = 451
        End If
    End If
    While Ledsan = 1
       Incr Cyccounter
       Reset Portb.3
       Waitms 134
       Set Portb.3
       Waitms 266
       If Cyccounter > Mincounter Then
          Ledsan = 0
       End If
       If Cyccounter = 8 Then                               ' Taster nach 3 Sekunden immer noch gedrckt
           If Pinb.4 = 0 Then Mincounter = 901              ' auf 6 Minuten Laufzeit erhhen
       End If
       If Cyccounter > 10 Then
          If Pause1 = 0 Then
             If Pinb.4 = 0 Then                             ' Taste gedrckt
                Waitms 100                                     ' Prellzeit abwarten
                If Pinb.4 = 0 Then                             ' Taster immer noch gedrckt
                   Pause1 = 1
                   Set Portb.3                              ' LEDs aus
                   Waitms 2000                              'mind 2 Sekunden Pause
                End If
             End If
          End If
          If Pause1 = 1 Then
             If Pinb.4 = 0 Then                             ' Taste gedrckt
                Waitms 100                                  ' Prellzeit abwarten
                If Pinb.4 = 0 Then                          ' Taster immer noch gedrckt
                   Pause1 = 0                               ' Pause beendet;
                   Incr Cyccounter
                   Reset Portb.3                            ' 3 Zyklen Zeit (= 1.2 Sekunden)
                   Waitms 134                               ' um den Taster wieder los zu lassen
                   Set Portb.3
                   Waitms 266
                   Incr Cyccounter
                   Reset Portb.3
                   Waitms 134
                   Set Portb.3
                   Waitms 266
                   Incr Cyccounter
                   Reset Portb.3
                   Waitms 134
                   Set Portb.3
                   Waitms 266
                End If
             End If
          End If
       End If
    Wend
Loop

End
